Org.eclipse.jdt.junit in P2

From Eclipsepedia

Revision as of 04:12, 4 October 2007 by Carlos.apache.org (Talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search
    <org.eclipse.equinox.p2.metadata.InstallableUnit>
      <id>org.eclipse.jdt.junit</id>
      <version>3.3.0.v20070606-0010</version>
      <singleton>true</singleton>
      <properties>
        <propertyMap>
          <entry>
            <string>equinox.p2.update.from</string>
            <string>org.eclipse.jdt.junit</string>
          </entry>
          <entry>
            <string>equinox.p2.update.range</string>
            <string>0.0.0</string>
          </entry>
          <entry>
            <string>equinox.p2.name</string>
            <string>%pluginName</string>
          </entry>
          <entry>
            <string>equinox.p2.provider</string>
            <string>%providerName</string>
          </entry>
        </propertyMap>
      </properties>
      <artifacts>
        <org.eclipse.equinox.internal.p2.metadata.ArtifactKey>
          <namespace>eclipse</namespace>
          <id>org.eclipse.jdt.junit</id>
          <classifier>plugin</classifier>
          <version>3.3.0.v20070606-0010</version>
        </org.eclipse.equinox.internal.p2.metadata.ArtifactKey>
      </artifacts>
      <touchpointType>
        <id>eclipse</id>
        <versionObject reference="../../../org.eclipse.equinox.p2.metadata.InstallableUnit/touchpointType/versionObject"/>
        <version>1.0.0</version>
      </touchpointType>
      <immutableTouchpointData>
        <instructions>
          <entry>
            <string>manifest</string>
            <string>Require-Bundle: org.eclipse.ui.ide;bundle-version="[3.3.0,4.0.0)",org.eclipse.ui.views;bundle-version="[3.2.0,4.0.0)",org.eclipse.jface.text;bundle-version="[3.3.0,4.0.0)",org.eclipse.ui.workbench.texteditor;bundle-version="[3.3.0,4.0.0)",org.eclipse.ui.editors;bundle-version="[3.3.0,4.0.0)",org.eclipse.ui;bundle-version="[3.3.0,4.0.0)",org.eclipse.core.expressions;bundle-version="[3.2.0,4.0.0)",org.eclipse.core.resources;bundle-version="[3.2.0,4.0.0)",org.eclipse.debug.core;bundle-version="[3.3.0,4.0.0)",org.eclipse.debug.ui;bundle-version="[3.3.0,4.0.0)",org.eclipse.jdt.core;bundle-version="[3.3.0,4.0.0)",org.eclipse.jdt.ui;bundle-version="[3.3.0,4.0.0)",org.eclipse.core.runtime;bundle-version="[3.2.0,4.0.0)",org.eclipse.jdt.launching;bundle-version="[3.2.0,4.0.0)",org.eclipse.jdt.debug.ui;bundle-version="[3.2.0,4.0.0)",org.eclipse.jdt.junit.runtime;bundle-version="[3.2.0,4.0.0)",org.eclipse.compare;bundle-version="[3.3.0,4.0.0)",org.eclipse.ltk.core.refactoring;bundle-version="[3.3.0,4.0.0)",org.eclipse.core.variables;bundle-version="[3.1.0,4.0.0)"
Bundle-Activator: org.eclipse.jdt.internal.junit.ui.JUnitPlugin
Manifest-Version: 1.0
Bundle-Vendor: %providerName
Bundle-RequiredExecutionEnvironment: J2SE-1.4
Eclipse-LazyStart: true
Ant-Version: Apache Ant 1.7.0
Bundle-Name: %pluginName
Export-Package: org.eclipse.jdt.internal.junit;x-internal:=true,org.eclipse.jdt.internal.junit.buildpath;x-internal:=true,org.eclipse.jdt.internal.junit.launcher;x-internal:=true,org.eclipse.jdt.internal.junit.model;x-internal:=true,org.eclipse.jdt.internal.junit.refactoring;x-internal:=true,org.eclipse.jdt.internal.junit.ui;x-internal:=true,org.eclipse.jdt.internal.junit.util;x-internal:=true,org.eclipse.jdt.internal.junit.wizards;x-internal:=true,org.eclipse.jdt.junit,org.eclipse.jdt.junit.launcher,org.eclipse.jdt.junit.model,org.eclipse.jdt.junit.wizards
Created-By: 1.4.2 (IBM Corporation)
Bundle-Version: 3.3.0.v20070606-0010
eclipse.p2.bundle.format: jar
Bundle-ManifestVersion: 2
Bundle-Localization: plugin
Bundle-SymbolicName: org.eclipse.jdt.junit; singleton:=true
</string>
          </entry>
        </instructions>
      </immutableTouchpointData>
      <requires>
        <org.eclipse.equinox.p2.metadata.RequiredCapability>
          <multiple>false</multiple>
          <name>org.eclipse.ui.ide</name>
          <namespace>org.eclipse.equinox.p2.iunamespace</namespace>
          <optional>false</optional>
          <range>[3.3.0,4.0.0)</range>
          <selectors/>
        </org.eclipse.equinox.p2.metadata.RequiredCapability>
        <org.eclipse.equinox.p2.metadata.RequiredCapability>
          <multiple>false</multiple>
          <name>org.eclipse.ui.views</name>
          <namespace>org.eclipse.equinox.p2.iunamespace</namespace>
          <optional>false</optional>
          <range>[3.2.0,4.0.0)</range>
          <selectors/>
        </org.eclipse.equinox.p2.metadata.RequiredCapability>
        <org.eclipse.equinox.p2.metadata.RequiredCapability>
          <multiple>false</multiple>
          <name>org.eclipse.jface.text</name>
          <namespace>org.eclipse.equinox.p2.iunamespace</namespace>
          <optional>false</optional>
          <range>[3.3.0,4.0.0)</range>
          <selectors/>
        </org.eclipse.equinox.p2.metadata.RequiredCapability>
        <org.eclipse.equinox.p2.metadata.RequiredCapability>
          <multiple>false</multiple>
          <name>org.eclipse.ui.workbench.texteditor</name>
          <namespace>org.eclipse.equinox.p2.iunamespace</namespace>
          <optional>false</optional>
          <range>[3.3.0,4.0.0)</range>
          <selectors/>
        </org.eclipse.equinox.p2.metadata.RequiredCapability>
        <org.eclipse.equinox.p2.metadata.RequiredCapability>
          <multiple>false</multiple>
          <name>org.eclipse.ui.editors</name>
          <namespace>org.eclipse.equinox.p2.iunamespace</namespace>
          <optional>false</optional>
          <range>[3.3.0,4.0.0)</range>
          <selectors/>
        </org.eclipse.equinox.p2.metadata.RequiredCapability>
        <org.eclipse.equinox.p2.metadata.RequiredCapability>
          <multiple>false</multiple>
          <name>org.eclipse.ui</name>
          <namespace>org.eclipse.equinox.p2.iunamespace</namespace>
          <optional>false</optional>
          <range>[3.3.0,4.0.0)</range>
          <selectors/>
        </org.eclipse.equinox.p2.metadata.RequiredCapability>
        <org.eclipse.equinox.p2.metadata.RequiredCapability>
          <multiple>false</multiple>
          <name>org.eclipse.core.expressions</name>
          <namespace>org.eclipse.equinox.p2.iunamespace</namespace>
          <optional>false</optional>
          <range>[3.2.0,4.0.0)</range>
          <selectors/>
        </org.eclipse.equinox.p2.metadata.RequiredCapability>
        <org.eclipse.equinox.p2.metadata.RequiredCapability>
          <multiple>false</multiple>
          <name>org.eclipse.core.resources</name>
          <namespace>org.eclipse.equinox.p2.iunamespace</namespace>
          <optional>false</optional>
          <range>[3.2.0,4.0.0)</range>
          <selectors/>
        </org.eclipse.equinox.p2.metadata.RequiredCapability>
        <org.eclipse.equinox.p2.metadata.RequiredCapability>
          <multiple>false</multiple>
          <name>org.eclipse.debug.core</name>
          <namespace>org.eclipse.equinox.p2.iunamespace</namespace>
          <optional>false</optional>
          <range>[3.3.0,4.0.0)</range>
          <selectors/>
        </org.eclipse.equinox.p2.metadata.RequiredCapability>
        <org.eclipse.equinox.p2.metadata.RequiredCapability>
          <multiple>false</multiple>
          <name>org.eclipse.debug.ui</name>
          <namespace>org.eclipse.equinox.p2.iunamespace</namespace>
          <optional>false</optional>
          <range>[3.3.0,4.0.0)</range>
          <selectors/>
        </org.eclipse.equinox.p2.metadata.RequiredCapability>
        <org.eclipse.equinox.p2.metadata.RequiredCapability>
          <multiple>false</multiple>
          <name>org.eclipse.jdt.core</name>
          <namespace>org.eclipse.equinox.p2.iunamespace</namespace>
          <optional>false</optional>
          <range>[3.3.0,4.0.0)</range>
          <selectors/>
        </org.eclipse.equinox.p2.metadata.RequiredCapability>
        <org.eclipse.equinox.p2.metadata.RequiredCapability>
          <multiple>false</multiple>
          <name>org.eclipse.jdt.ui</name>
          <namespace>org.eclipse.equinox.p2.iunamespace</namespace>
          <optional>false</optional>
          <range>[3.3.0,4.0.0)</range>
          <selectors/>
        </org.eclipse.equinox.p2.metadata.RequiredCapability>
        <org.eclipse.equinox.p2.metadata.RequiredCapability>
          <multiple>false</multiple>
          <name>org.eclipse.core.runtime</name>
          <namespace>org.eclipse.equinox.p2.iunamespace</namespace>
          <optional>false</optional>
          <range>[3.2.0,4.0.0)</range>
          <selectors/>
        </org.eclipse.equinox.p2.metadata.RequiredCapability>
        <org.eclipse.equinox.p2.metadata.RequiredCapability>
          <multiple>false</multiple>
          <name>org.eclipse.jdt.launching</name>
          <namespace>org.eclipse.equinox.p2.iunamespace</namespace>
          <optional>false</optional>
          <range>[3.2.0,4.0.0)</range>
          <selectors/>
        </org.eclipse.equinox.p2.metadata.RequiredCapability>
        <org.eclipse.equinox.p2.metadata.RequiredCapability>
          <multiple>false</multiple>
          <name>org.eclipse.jdt.debug.ui</name>
          <namespace>org.eclipse.equinox.p2.iunamespace</namespace>
          <optional>false</optional>
          <range>[3.2.0,4.0.0)</range>
          <selectors/>
        </org.eclipse.equinox.p2.metadata.RequiredCapability>
        <org.eclipse.equinox.p2.metadata.RequiredCapability>
          <multiple>false</multiple>
          <name>org.eclipse.jdt.junit.runtime</name>
          <namespace>org.eclipse.equinox.p2.iunamespace</namespace>
          <optional>false</optional>
          <range>[3.2.0,4.0.0)</range>
          <selectors/>
        </org.eclipse.equinox.p2.metadata.RequiredCapability>
        <org.eclipse.equinox.p2.metadata.RequiredCapability>
          <multiple>false</multiple>
          <name>org.eclipse.compare</name>
          <namespace>org.eclipse.equinox.p2.iunamespace</namespace>
          <optional>false</optional>
          <range>[3.3.0,4.0.0)</range>
          <selectors/>
        </org.eclipse.equinox.p2.metadata.RequiredCapability>
        <org.eclipse.equinox.p2.metadata.RequiredCapability>
          <multiple>false</multiple>
          <name>org.eclipse.ltk.core.refactoring</name>
          <namespace>org.eclipse.equinox.p2.iunamespace</namespace>
          <optional>false</optional>
          <range>[3.3.0,4.0.0)</range>
          <selectors/>
        </org.eclipse.equinox.p2.metadata.RequiredCapability>
        <org.eclipse.equinox.p2.metadata.RequiredCapability>
          <multiple>false</multiple>
          <name>org.eclipse.core.variables</name>
          <namespace>org.eclipse.equinox.p2.iunamespace</namespace>
          <optional>false</optional>
          <range>[3.1.0,4.0.0)</range>
          <selectors/>
        </org.eclipse.equinox.p2.metadata.RequiredCapability>
      </requires>
      <applicabilityFilter></applicabilityFilter>
      <providedCapabilities>
        <org.eclipse.equinox.p2.metadata.ProvidedCapability>
          <namespace>osgi.packages</namespace>
          <name>org.eclipse.jdt.internal.junit</name>
        </org.eclipse.equinox.p2.metadata.ProvidedCapability>
        <org.eclipse.equinox.p2.metadata.ProvidedCapability>
          <namespace>osgi.packages</namespace>
          <name>org.eclipse.jdt.internal.junit.buildpath</name>
        </org.eclipse.equinox.p2.metadata.ProvidedCapability>
        <org.eclipse.equinox.p2.metadata.ProvidedCapability>
          <namespace>osgi.packages</namespace>
          <name>org.eclipse.jdt.internal.junit.launcher</name>
        </org.eclipse.equinox.p2.metadata.ProvidedCapability>
        <org.eclipse.equinox.p2.metadata.ProvidedCapability>
          <namespace>osgi.packages</namespace>
          <name>org.eclipse.jdt.internal.junit.model</name>
        </org.eclipse.equinox.p2.metadata.ProvidedCapability>
        <org.eclipse.equinox.p2.metadata.ProvidedCapability>
          <namespace>osgi.packages</namespace>
          <name>org.eclipse.jdt.internal.junit.refactoring</name>
        </org.eclipse.equinox.p2.metadata.ProvidedCapability>
        <org.eclipse.equinox.p2.metadata.ProvidedCapability>
          <namespace>osgi.packages</namespace>
          <name>org.eclipse.jdt.internal.junit.ui</name>
        </org.eclipse.equinox.p2.metadata.ProvidedCapability>
        <org.eclipse.equinox.p2.metadata.ProvidedCapability>
          <namespace>osgi.packages</namespace>
          <name>org.eclipse.jdt.internal.junit.util</name>
        </org.eclipse.equinox.p2.metadata.ProvidedCapability>
        <org.eclipse.equinox.p2.metadata.ProvidedCapability>
          <namespace>osgi.packages</namespace>
          <name>org.eclipse.jdt.internal.junit.wizards</name>
        </org.eclipse.equinox.p2.metadata.ProvidedCapability>
        <org.eclipse.equinox.p2.metadata.ProvidedCapability>
          <namespace>osgi.packages</namespace>
          <name>org.eclipse.jdt.junit</name>
        </org.eclipse.equinox.p2.metadata.ProvidedCapability>
        <org.eclipse.equinox.p2.metadata.ProvidedCapability>
          <namespace>osgi.packages</namespace>
          <name>org.eclipse.jdt.junit.launcher</name>
        </org.eclipse.equinox.p2.metadata.ProvidedCapability>
        <org.eclipse.equinox.p2.metadata.ProvidedCapability>
          <namespace>osgi.packages</namespace>
          <name>org.eclipse.jdt.junit.model</name>
        </org.eclipse.equinox.p2.metadata.ProvidedCapability>
        <org.eclipse.equinox.p2.metadata.ProvidedCapability>
          <namespace>osgi.packages</namespace>
          <name>org.eclipse.jdt.junit.wizards</name>
        </org.eclipse.equinox.p2.metadata.ProvidedCapability>
        <org.eclipse.equinox.p2.metadata.ProvidedCapability>
          <namespace>org.eclipse.equinox.p2.eclipsetouchpoint.types</namespace>
          <name>bundle</name>
          <version>1.0.0</version>
        </org.eclipse.equinox.p2.metadata.ProvidedCapability>
      </providedCapabilities>
    </org.eclipse.equinox.p2.metadata.InstallableUnit>